package es.verdnatura.presentation.view.feature.imageview.activity

import es.verdnatura.R
import es.verdnatura.databinding.ActivityImageviewBinding
import es.verdnatura.presentation.base.BaseActivity
import es.verdnatura.presentation.common.loadUrl

class ImageViewActivity : BaseActivity<ActivityImageviewBinding>(){

    override fun getLayoutId(): Int = R.layout.activity_imageview


    override fun init() {
        binding.mainToolbar.toolbarTitle.text = intent.getStringExtra(getString(R.string.title))
        binding.imgView.loadUrl(intent.getStringExtra(getString(R.string.url))!!)

        binding.mainToolbar.backButton.setOnClickListener {
            onBackPressed()
        }
    }



}
